[package]
authors = ["Transparent Systems <engineering@transparent.us>"]
edition = "2021"
name = "trustee-node-config"
publish = ["tpfs"]
# Version is managed by CI, and kept in lockstep with parent crate (trustee-node)
version = "0.0.0"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
async-trait = "0.1.36"
derive_more = "0.99.9"
itertools = "0.9.0"
serde = "1.0.115"
serde-ordered-collections = {version = "2.0.0", registry = "tpfs"}
serde_derive = "1.0.115"
serde_with = "1"
serde_yaml = "0.8.17"
snafu = "0.6.8"
url = "1.7"
url_serde = "0.2"

# 1st party local deps
bank-transaction-repository = {version = "0.15", registry = "tpfs"}
xand-banks = {version = "15.1.4", registry = "tpfs"}
xand-secrets-local-file = {version = "0.2.0", registry = "tpfs"}
xand-utils = {version = "1.0.0", registry = "tpfs"}

[dev-dependencies]
assert_matches = "1.5.0"
insta = {version = "1.3.0", features = ["toml", "yaml"]}
tempfile = "3.1.0"
